<?php

namespace App\Models\Wilayah;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Wilayah\Provinsi;
use App\Models\Wilayah\Kecamatan;

class KabupatenKota extends Model
{
    use SoftDeletes; 

    protected $table = 'master_kabupaten_kota';

    protected $fillable = [
        'kode',
        'nama',
        'path',
        'provinsi_id',
    ];

    public function provinsi()
    {
        return $this->belongsTo(Provinsi::class, 'provinsi_id');
    }

    public function kecamatan()
    {
        return $this->hasMany(Kecamatan::class, 'kabupaten_kota_id');
    }
}
